import os
from json import dumps
from electronicStructureCode import ElectronicStructureCode
import shutil

class Void(ElectronicStructureCode):
    """Class to initiate a void calculation (i.e., to row in the database does nothing"""
    def __init__(self,job_record,database):
        super().__init__(job_record,database)

    def get_status(self):
        self._job_record['status'] = 'void'
        return 'void'

    def write_input(self, recreate=False):
        self._job_record['status'] = 'void'
        return 'void'




        
        



    
